Get onPremisesPublishingProfile
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索 onPremisesPublishingProfile 对象的属性和 关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Directory.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET ~/onPremisesPublishingProfiles/{publishingType}/
可选的查询参数
此方法支持使用 OData 查询参数来帮助自定义响应。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | 持有者 {token} |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK onPremisesPublishingProfile 对象。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/onPremisesPublishingProfiles/provisioning?$expand=publishedResources,agents,agentGroups
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
{
"publishedResources": [
{
"publishingType": "provisioning",
"displayName": "Demo Provisioning",
"id": "aed0b780-965f-4149-85c5-a8c73e58b67d",
"resourceName": "domain1.contoso.com",
"agentGroups": [
{
"id": "2d55ed41-1619-4848-92bb-0576d3038682",
"displayName": "Group 1"
}
]
}
],
"agents": [
{
"id": "1234b780-965f-4149-85c5-a8c73e58b67d",
"status": "Active",
"machineName": "server 1",
"externalIp": "1.0.0.127",
"agentGroups": [
{
"id": "2d55ed41-1619-4848-92bb-0576d3038682",
"displayName": "Group 1"
}
]
}
],
"agentGroups": [
{
"id": "2d55ed41-1619-4848-92bb-0576d3038682",
"displayName": "Group 1",
"publishingType": "provisioning",
"isDefault": false,
"agents": [
{
"id": "1234b780-965f-4149-85c5-a8c73e58b67d",
"status": "Active"
}
],
"publishedResources": [
{
"displayName": "Demo Provisioning",
"id": "aed0b780-965f-4149-85c5-a8c73e58b67d",
"resourceName": "domain1.contoso.com"
}
]
}
],
"hybridAgentUpdaterConfiguration": {
"deferUpdateDateTime" : "2018-08-12T12:00",
"updateWindow" :
{
"updateWindowStartTime" : "0:00:00",
"updateWindowEndTime" : "23:59:00.0000000"
},
"allowUpdateConfigurationOverride" : false
}
}
反馈
提交和查看相关反馈